# insights.finance.get

Read gross income, expenses, refunds, profit or loss and category totals per currency for an accounting period, with reviewed and unresolved coverage.

`GET | POST /api/v1/accounting/insights.finance.get`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_insights_finance_get`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `from` | string |  | The first date to include, as YYYY-MM-DD. |
| `to` | string |  | The last date to include, as YYYY-MM-DD. |
| `currency` | string |  | Three-letter currency code, such as CAD or USD. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/insights.finance.get \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/insights.finance.get
